﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.RiskAssessmentRCM
@{
    ViewData["Title"] = "Index";
}
<style>
    .right_content {
        min-height: calc(100vh - 151px) !important;
    }
    a:hover {
        color: white;
    }

    tr td:first-child {
        text-align: left;
    }
    hr{
        margin:2px;
    }
</style>
<script src="~/Script/ApplicationManagement/GenerateRCM.js"></script>
<script>
    $(document).ready(function () {
        $('.chosen-select').chosen();
    })
</script>
<section>
    <div class="right_section">
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Risk Control Matrix
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="GenerateRCMView" asp-area="ApplicationManagement">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <label class="required">Organization</label>
                            <div class="select_box m_bottom">
                                @Html.DropDownListFor(m => m.OrgID, Model.DdlOrganization, "--Select--", new { @class = "form-control m_no chosen-select", required = "required", onchange = "fn_showRCmListByOrg(this)" })
                            </div>
                        </div>
                    </div>
                    <div class="row" id="MainDiv" style="display:none">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="select_box m_bottom">
                                <div class="table_control">
                                    <table class="table" id="tblRCm">
                                        <thead>
                                            <tr>
                                                <th>RCM Name</th>
                                                <th style='text-align:center'>Created By <hr />Created On</th>
                                                <th style='text-align:center'> Last Updated By<hr />Last Update On</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>